Create a ticket

Create a new ticket. Can associate multiple contacts. Use PUT /tickets/{id}/messages and PUT /tickets/{id}/events endpoints to bulk upsert messages and events.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The subject line of the ticket

string
enum
Defaults to open

The status of the ticket

Allowed:
string
enum
Defaults to normal

The priority level of the ticket

Allowed:
tags
array of strings
Defaults to []

Tags associated with the ticket

tags
string

The ID of the primary contact

contactIds
array of strings

Array of contact IDs to associate with the thread (in addition to the primary contactId)

contactIds
string

The ID of the customer

string

The ID of the channel to attribute this ticket to. If omitted, the
ticket is placed on a per-organization "API" chat channel that is
created on first use.

string

The ID of the app

string

The ID of the assigned agent

date-time

When the ticket was created

date-time

When the ticket was last updated

date-time

When the last message was sent

boolean

Whether the ticket is read-only

string

What manages this ticket (e.g., "intercom", "zendesk")

contact
object

Contact object to upsert (if contactId not provided)

string | null

Assign the ticket to this Inbox. Must belong to the organization.

string | null

Preferred outbound sender (CXEmailAddress) for emails on this
ticket. Must have useForOutbound: true. When omitted, the
channel's default outbound address is used at send time.

boolean
Defaults to false

When true, the ticket (and any inline message) is
processed as a real ticket would be: configured
automations, notifications, and outbound delivery run.
When false (or omitted), the ticket is persisted without
triggering any side effects.

message
object | null

Optional initial message to create with the ticket. When
send: true with actorType: agent, the outbound email
sender is selected automatically from the organization's
configured email channels; the ticket's channelId is not
used for delivery in that case.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json